Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dtsm
Class DocumentTableEntry

    java.lang.Object
      com.dbxml.xml.dtsm.DocumentTableEntry

public final class DocumentTableEntry
extends java.lang.Object

DocumentTableEntry

Field Summary
`static int` | `SIZE`

Constructor Summary
`DocumentTableEntry()`
`DocumentTableEntry(byte[] bytes, int offset)`
`DocumentTableEntry(byte typeID, int valID)`
`DocumentTableEntry(java.io.InputStream is)`

Method Summary
`byte[]` | `getBytes()`
`byte` | `getTypeID()` getTypeID returns the Type ID associated with this DocumentTableEntry.
`int` | `getValID()` getValID returns the Value ID associated with this DocumentTableEntry.
`void` | `readFrom(byte[] bytes, int offset)`
`void` | `readFrom(java.io.InputStream is)`
`void` | `setTypeID(byte typeID)` setTypeID sets the Type ID associated with this DocumentTableEntry.
`void` | `setValID(int valID)` setValID sets the Value ID associated with this DocumentTableEntry.
`void` | `writeTo(byte[] bytes, int offset)`
`void` | `writeTo(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

Constructor Detail

### DocumentTableEntry

    public DocumentTableEntry()

### DocumentTableEntry

    public DocumentTableEntry(byte typeID,
                              int valID)

### DocumentTableEntry

    public DocumentTableEntry(byte[] bytes,
                              int offset)

### DocumentTableEntry

    public DocumentTableEntry(java.io.InputStream is)
                       throws java.io.IOException

Method Detail

### getTypeID

    public byte getTypeID()

  getTypeID returns the Type ID associated with this DocumentTableEntry.

  Returns:
    The Type ID
  See Also:
    `Constants`

### setTypeID

    public void setTypeID(byte typeID)

  setTypeID sets the Type ID associated with this DocumentTableEntry.

  Parameters:
    `typeID` - The Type ID
  See Also:
    `Constants`

### getValID

    public int getValID()

  getValID returns the Value ID associated with this DocumentTableEntry. The Value ID may be a ValueEntry index or a SymbolTable index depending on the Type ID.

  Returns:
    The Value ID

### setValID

    public void setValID(int valID)

  setValID sets the Value ID associated with this DocumentTableEntry. The Value ID may be a ValueEntry index or a SymbolTable index depending on the Type ID.

  Parameters:
    `valID` - The Value ID

### readFrom

    public void readFrom(byte[] bytes,
                         int offset)

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(byte[] bytes,
                        int offset)

### writeTo

    public void writeTo(java.io.OutputStream os)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBytes

    public byte[] getBytes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group